de.dhbwstuttgart.typeinference.typedeployment

## Class SourcePatchPoint

- java.lang.Object
- - de.dhbwstuttgart.typeinference.typedeployment.SourcePatchPoint

All Implemented Interfaces:
  java.lang.Comparable<SourcePatchPoint>

Direct Known Subclasses:
  GenericTypeInsertPoint, TypeInsertPoint

    public abstract class SourcePatchPoint
    extends java.lang.Object
    implements java.lang.Comparable<SourcePatchPoint>

### Field Summary

Fields
`protected ResultSet` `resultSet`

### Constructor Summary

Constructors
Constructor and Description
`SourcePatchPoint()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`int` `compareTo(SourcePatchPoint arg0)`
`abstract int` `getInsertLength()`
`abstract int` `getOffset()`
`ResultSet` `getResultSet()`
`abstract JavaCodeResult` `patch(java.lang.String fileContent, int additionalOffset)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### resultSet

    protected ResultSet resultSet

### Constructor Detail

#### SourcePatchPoint

    public SourcePatchPoint()

### Method Detail

#### getOffset

    public abstract int getOffset()

#### getResultSet

    public ResultSet getResultSet()

#### compareTo

    public int compareTo(SourcePatchPoint arg0)

Specified by:
  `compareTo` in interface `java.lang.Comparable<SourcePatchPoint>`

#### patch

    public abstract JavaCodeResult patch(java.lang.String fileContent,
                                         int additionalOffset)

#### getInsertLength

    public abstract int getInsertLength()